> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plainid.io/llms.txt
> Use this file to discover all available pages before exploring further.
# Get Observability Detailed Events
> This API lists more observability details for the POP workflow.
Note: Observability data is retained for a limited period and is not stored indefinitely. Ensure that any data required for long-term analysis or auditing is exported or archived externally within your retention window.
## OpenAPI
````json GET /orchestrator/1.0/observability-detailed-events/env/{envId}/pop/{popId}/executions/{executionId}
{
"openapi": "3.0.3",
"info": {
"title": "Management APIs",
"version": "1.0.0",
"contact": {
"name": "PlainID",
"url": "https://plainid.com",
"email": "contact@plainid.com"
},
"license": {
"name": "Commercial",
"url": "https://plainid.com/license"
},
"termsOfService": "https://www.plainid.com/terms/",
"description": "
The PlainID Authorization Platform provides Management capabilities through the APIs below.
To access the Management APIs, make sure to enter your dedicated domain according to your PlainID Tenant Location:
| Region | Base URL |
|---|
| United States (US) | https://api.us1.plainid.io |
| Canada (CA) | https://api.ca1.plainid.io |
| Europe (EU) | https://api.eu1.plainid.io |
| Local PAA | https://api.plainid.local |
"
},
"servers": [
{
"description": "United States",
"url": "https://api.us1.plainid.io"
},
{
"description": "Europe",
"url": "https://api.eu1.plainid.io"
},
{
"description": "Canada",
"url": "https://api.ca1.plainid.io"
},
{
"description": "Local PAA",
"url": "https://api.plainid.local"
}
],
"tags": [
{
"name": "access-file-authorizer-oas",
"description": "access-file-authorizer-oas"
},
{
"name": "authz-packager-oas",
"description": "authz-packager-oas"
},
{
"name": "SQL Database Authorizer",
"description": "API for modifying SQL queries based on authorization policies"
},
{
"name": "delegated-admin-oas",
"description": "delegated-admin-oas"
},
{
"name": "Discovery",
"description": "Discovery APIs"
},
{
"name": "Enrichment",
"description": "Enrichment APIs"
},
{
"name": "env-mgmt-oas",
"description": "env-mgmt-oas"
},
{
"name": "hybrid-commander-oas",
"description": "hybrid-commander-oas"
},
{
"name": "auth-keys",
"description": "Auth key operations"
},
{
"name": "components",
"description": "Component operations"
},
{
"name": "paas",
"description": "PAA operations"
},
{
"name": "paa-groups",
"description": "PAA group operations"
},
{
"name": "packages",
"description": "Package configuration operations"
},
{
"name": "secret-stores",
"description": "Secret store operations"
},
{
"name": "Table Mapping",
"description": "Table Mapping"
},
{
"name": "Column Mapping",
"description": "Column Mapping"
},
{
"name": "Api Mapping",
"description": "Api Mapping"
},
{
"name": "notifier-oas",
"description": "notifier-oas"
},
{
"name": "shadow-tracker",
"description": "Shadow tracker SSE stream"
},
{
"name": "orchestrator-oas",
"description": "orchestrator-oas"
},
{
"name": "POP",
"description": "pop operations"
},
{
"name": "org-mgmt-oas",
"description": "org-mgmt-oas"
},
{
"name": "pip-mgmt-oas",
"description": "pip-mgmt-oas"
},
{
"name": "monitor-loggers",
"description": "monitor-loggers"
},
{
"name": "Policy Management APIs",
"description": "Policy Management APIs"
},
{
"name": "Policy Management APIs 1.0",
"description": "Policy Management APIs 1.0"
},
{
"name": "Policy Management APIs 2.0",
"description": "Policy Management APIs 2.0"
},
{
"name": "Policy Building Blocks Management APIs 2.0",
"description": "Policy Building Blocks Management APIs 2.0"
},
{
"name": "Audit",
"description": "Audit"
},
{
"name": "Asset Template",
"description": "Asset Template"
},
{
"name": "Application",
"description": "Application"
},
{
"name": "Api Mapper",
"description": "Api Mapper"
},
{
"name": "Identity Template",
"description": "Identity Template"
},
{
"name": "Identity Sources",
"description": "Identity Sources"
},
{
"name": "Mapper Sets",
"description": "Mapper Sets"
},
{
"name": "Identity Template V2",
"description": "Identity Template V2"
},
{
"name": "PAA Sources",
"description": "PAA Sources"
},
{
"name": "PAA Views",
"description": "PAA Views"
},
{
"name": "PAA Groups",
"description": "PAA Groups"
},
{
"name": "Scope",
"description": "Managed Scope APIs"
},
{
"name": "Authentication for Management APIs",
"description": "Authentication for Management APIs"
},
{
"name": "runtime",
"description": "runtime"
},
{
"name": "Cache Management",
"description": "Cache invalidation operations for Runtime service"
}
],
"externalDocs": {
"url": "https://docs.plainid.io/apidocs/policy-management-apis"
},
"paths": {
"/orchestrator/1.0/observability-detailed-events/env/{envId}/pop/{popId}/executions/{executionId}": {
"get": {
"security": [
{
"bearerAuth": []
}
],
"summary": "Get Observability Detailed Events",
"operationId": "getObservabilityDetailedEvents",
"tags": [
"POP"
],
"description": "This API lists more observability details for the POP workflow.
Note: Observability data is retained for a limited period and is not stored indefinitely. Ensure that any data required for long-term analysis or auditing is exported or archived externally within your retention window. ",
"parameters": [
{
"name": "envId",
"in": "path",
"required": "true",
"schema": {
"type": "string",
"example": "ec3ff4ee-81f9-4e7f-9037-6fa9fde62cc8"
},
"description": "The Environment ID can be found under the Details Tab in the Environment Settings."
},
{
"name": "popId",
"in": "path",
"required": "true",
"schema": {
"type": "string",
"example": "POPS269J5C16H8N4"
},
"description": "POP ID. You can find the POP ID using the [GET List of POPs API](https://docs.plainid.io/v1-api/apidocs/get-pop-list) or through the UI under your POP settings in the Integration Workspace."
},
{
"name": "executionId",
"in": "path",
"required": "true",
"schema": {
"type": "string",
"example": "0192a1b2-c3d4-7890-abcd-ef1234567890"
},
"description": "Execution ID for Workflow. You can extract it from the Get Observability Summary API."
}
],
"responses": {
"200": {
"description": "Success",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ObservabilityDetailedEventsResponse"
},
"examples": {
"discovery_detail": {
"summary": "Discovery flow activity timeline",
"value": {
"data": {
"name": "discovery",
"startTime": "2024-06-14T08:15:00Z",
"endTime": "2024-06-14T08:18:42Z",
"status": "Completed",
"summary": "Discovery summary from Snowflake: 12 policies were discovered from Credit Risk Control Center",
"requestId": "req-7f3a9c2e-4b1d-4e8a-9f0c-1a2b3c4d5e6f",
"events": [
{
"executionId": "0192a1b2-c3d4-7890-abcd-ef1234567890",
"flowType": "discovery",
"status": "Completed",
"startTime": "2024-06-14T08:15:00Z",
"endTime": "2024-06-14T08:18:42Z",
"durationMs": "222000",
"summary": "Discovery summary from Snowflake: 12 policies were discovered from Credit Risk Control Center"
}
]
}
}
}
}
}
}
},
"400": {
"description": "Bad Request"
},
"401": {
"description": "Unauthorized"
},
"404": {
"description": "Not Found"
},
"500": {
"description": "Internal Server Error"
}
}
}
}
},
"components": {
"schemas": {
"ObservabilityDetailedEventsResponse": {
"type": "object",
"required": [
"data"
],
"properties": {
"data": {
"$ref": "#/components/schemas/ObservabilityDetailedEventsParent"
}
}
},
"ObservabilityDetailedEventsParent": {
"type": "object",
"required": [
"name",
"startTime",
"status",
"summary",
"events"
],
"properties": {
"name": {
"type": "string",
"description": "Flow type for the initial detailed event"
},
"startTime": {
"type": "string",
"description": "Detailed event start time in UTC"
},
"endTime": {
"type": "string",
"nullable": "true",
"description": "Detailed event end time in UTC. This is omitted if it is still running or has no end time."
},
"status": {
"type": "string",
"description": "Parent status for the detailed event"
},
"summary": {
"type": "string",
"description": "Summary for detailed event"
},
"requestId": {
"type": "string",
"description": "Request ID"
},
"events": {
"type": "array",
"description": "Detailed event execution list",
"items": {
"$ref": "#/components/schemas/ObservabilityDetailedEventsFlowEvent"
}
}
}
},
"ObservabilityDetailedEventsFlowEvent": {
"type": "object",
"required": [
"executionId",
"flowType",
"status",
"startTime",
"summary"
],
"properties": {
"executionId": {
"type": "string",
"description": "Flow Execution ID"
},
"flowType": {
"type": "string",
"description": "Operation Type",
"enum": [
"discovery",
"single-policy-discovery",
"accept-all-vendor-changes",
"accept-vendor-changes",
"accept-platform-changes",
"accept-all-platform-changes",
"other"
]
},
"status": {
"type": "string",
"description": "Flow status."
},
"startTime": {
"type": "string",
"description": "Flow start time in UTC (RFC3339)."
},
"endTime": {
"type": "string",
"nullable": "true",
"description": "Time when the flow workflow ended in UTC (RFC3339)."
},
"durationMs": {
"type": "integer",
"format": "int64",
"nullable": "true",
"description": "Wall-clock style duration in milliseconds when the flow has ended."
},
"summary": {
"type": "string",
"description": "Summary with failure details when available"
}
}
}
},
"securitySchemes": {
"bearerAuth": {
"type": "http",
"scheme": "bearer",
"description": " For more details about Administration API Authentication, check out the Authentication APIs documentation
Provide your bearer token in the Authorization header when making requests to protected resources.
Example: `Authorization: Bearer 123`"
}
}
}
}
````